#
# spec file for package gstreamer-0_10
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gstreamer-0_10
%define build_doc 0
%define _name gstreamer
Version:        0.10.36
Release:        22.2
%define gst_branch 0.10
Summary:        Streaming-Media Framework Runtime
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://gstreamer.freedesktop.org/
Source0:        http://gstreamer.freedesktop.org/src/gstreamer/%{_name}-%{version}.tar.xz
Source1:        gstreamer-0_10.macros
Source2:        gstreamer-0_10.prov
Source99:       baselibs.conf
# PATCH-FIX-OPENSUSE gstreamer-0_10-no-gtk-doc-for-reals.patch maw@novell.com -- to build without gtk-doc, like totally for reals
Patch0:         gstreamer-0_10-no-gtk-doc-for-reals.patch
# PATCH-FEATURE-UPSTREAM gstreamer-0_10-rpm-prov.patch bgo#588783 dimstar@opensuse.org -- Add --rpm parameter to allow creation of rpm provides, patch from fedora
Patch1:         gstreamer-0_10-rpm-prov.patch
# PATCH-FIX-UPSTREAM gstreamer-no-setlocale.patch bnc#779426 bgo#685650 dimstar@opensuse.org -- Don't set the locale in gst_init().
Patch2:         gstreamer-no-setlocale.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-bison3.patch bgo#706462 dimstar@opensuse.org -- Fix build with Bison 3
Patch3:         gstreamer-0_10-bison3.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-gtk-doc-1.25.patch dimstar@opensuse.org -- Fix build with gtk-doc 1.25. index.sgml is an internal file and must not be messed with (and with gtk-doc 1.25 it is no longer created).
Patch4:         gstreamer-0_10-gtk-doc-1.25.patch
BuildRequires:  bison
BuildRequires:  check-devel
BuildRequires:  fdupes
BuildRequires:  flex
BuildRequires:  glib2-devel >= 2.24
BuildRequires:  gnome-patch-translation
%if %suse_version >= 1120
BuildRequires:  gobject-introspection-devel >= 0.6.8
%endif
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  translation-update-upstream
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind-devel
%endif
%if %suse_version <= 1210
BuildRequires:  xz
%endif
%if %build_doc
BuildRequires:  docbook-toys
BuildRequires:  docbook-utils
BuildRequires:  gtk-doc
BuildRequires:  python
BuildRequires:  python-xml
BuildRequires:  transfig
%if %suse_version <= 1020
# Missing in transfig:
BuildRequires:  ghostscript-fonts-std
BuildRequires:  ghostscript-library
%endif
%if %suse_version > 1030
BuildRequires:  texlive-latex
BuildRequires:  texlive-latex-doc
%endif
%endif
%if %build_doc
# Ensure that the documentation corresponds with the installed version:
Requires:       libgstreamer-0_10-0 = %{version}
# Name up to 10.3:
Provides:       gstreamer010-doc = %{version}
Obsoletes:      gstreamer010-doc < %{version}
%else
# Core modules may depend on new enough libraries:
Requires:       libgstreamer-0_10-0 >= %{version}
Recommends:     %{name}-lang = %{version}
# Name up to 10.3:
Provides:       gstreamer010 = %{version}
Obsoletes:      gstreamer010 < %{version}
Obsoletes:      gstreamer010-lang < %{version}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%if !%build_doc

%package -n libgstreamer-0_10-0
Summary:        Streaming-Media Framework Runtime
Group:          System/Libraries
# We want to have core modules installed:
Requires:       %{name}

%description -n libgstreamer-0_10-0
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%if %suse_version >= 1120
%package -n typelib-1_0-Gst-0_10
Summary:        Streaming-Media Framework Runtime -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Gst-0_10
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

This package provides the GObject Introspection bindings for GStreamer.
%endif

%package utils
Summary:        Streaming-Media Framework Runtime
Group:          Productivity/Multimedia/Other
# Name up to 10.3:
Provides:       gstreamer010:%{_bindir}/gst-launch-%{gst_branch} = %{version}
# Symbol for unversioned wrappers:
Provides:       gstreamer-utils_versioned

%description utils
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%package utils-unversioned
Summary:        Streaming-Media Framework Runtime
Group:          Productivity/Multimedia/Other
# Name up to 10.3:
Provides:       gstreamer010:%{_bindir}/gst-launch = %{version}
# Was renamed from gstreamer-utils at the beginning of 12.3 to avoid conflict with gstreamer 1.0
Provides:       gstreamer-utils = %{version}
Obsoletes:      gstreamer-utils < %{version}
# At least one versioned package has to be present:
Requires:       gstreamer-utils_versioned

%description utils-unversioned
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
# gstreamer-utils is required for the gstreamer-provides rpm magic.
Requires:       %{name}-utils
Requires:       libgstreamer-0_10-0 = %{version}
%if %suse_version >= 1120
Requires:       typelib-1_0-Gst-0_10 = %{version}
%endif
# Name up to 10.3:
Provides:       gstreamer010-devel = %{version}
Obsoletes:      gstreamer010-devel < %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%endif
%lang_package

%prep
%setup -q -n %{_name}-%{version}
translation-update-upstream po gstreamer-0.10
gnome-patch-translation-prepare po gstreamer-0.10
%if ! %build_doc
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
gnome-patch-translation-update po gstreamer-0.10

%build
# FIXME: GTKDOC_CFLAGS, GST_OBJ_CFLAGS:
# Silently ignored compilation of uninstalled gtk-doc scanners without RPM_OPT_FLAGS.
export V=1
%if %suse_version >= 1110
NOCONFIGURE=1 ./autogen.sh
%endif
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --libexecdir=%{_libdir} \
%if %build_doc
	--enable-gtk-doc\
	--enable-docbook\
%endif
%if %suse_version >= 1120
        --enable-introspection\
%endif
	--disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gstreamer-%{gst_branch}/presets
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
%if %build_doc
mv $RPM_BUILD_ROOT%{_datadir}/doc/gstreamer-*/* $RPM_BUILD_ROOT%{_docdir}/%{name}
rmdir $RPM_BUILD_ROOT%{_datadir}/doc/gstreamer-*
%else
# TODO is empty
cp AUTHORS COPYING ChangeLog NEWS README RELEASE $RPM_BUILD_ROOT%{_docdir}/%{name}
%find_lang %{_name}-%{gst_branch}
rm $RPM_BUILD_ROOT%{_libdir}/gstreamer-*/*.*a
%endif
%if %build_doc
rm -rf $RPM_BUILD_ROOT/%{_bindir}/*
rm -rf $RPM_BUILD_ROOT/%{_libdir}
rm -rf $RPM_BUILD_ROOT/%{_datadir}/aclocal
rm -rf $RPM_BUILD_ROOT/%{_includedir}/*
rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale
rm -rf $RPM_BUILD_ROOT/%{_mandir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/gir-1.0/
rm -rf $RPM_BUILD_ROOT%{_datadir}/gstreamer-%{gst_branch}
rm -rf %{buildroot}%{_libexecdir}/gstreamer-%{gst_branch}/gst-plugin-scanner
%else
rm -rf $RPM_BUILD_ROOT/%{_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}/manual
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}/pwg
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gstreamer-%{gst_branch}/presets
# Install the rpm macros
%if 0%?suse_version >= 1210
%__install -m644 -D %{S:1} %{buildroot}%{_libexecdir}/rpm/fileattrs/gstreamer_0_10.attr
%else
%__install -m644 -D %{S:1} %{buildroot}%{_sysconfdir}/rpm/macros.gstreamer_0_10
%endif
%__install -m755 -D %{S:2} %{buildroot}%{_libexecdir}/rpm/gstreamer-0_10-provides
%endif
%fdupes %{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT
%if ! %build_doc

%post -n libgstreamer-0_10-0 -p /sbin/ldconfig

%postun -n libgstreamer-0_10-0 -p /sbin/ldconfig
%endif
%if %build_doc

%files
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}
%{_datadir}/gtk-doc/html/*
%doc %{_docdir}/%{name}/manual
%doc %{_docdir}/%{name}/pwg
%doc %{_docdir}/%{name}/faq
%else

%files
%defattr(-, root, root)
%dir %{_datadir}/gstreamer-%{gst_branch}
%dir %{_datadir}/gstreamer-%{gst_branch}/presets
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/RELEASE
%dir %{_libdir}/gstreamer-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/*.so
%{_libdir}/gstreamer-%{gst_branch}/gst-plugin-scanner

%files lang -f %{_name}-%{gst_branch}.lang

%files -n libgstreamer-0_10-0
%defattr(-, root, root)
%{_libdir}/*.so.*

%if %suse_version >= 1120
%files -n typelib-1_0-Gst-0_10
%defattr(-, root, root)
%{_libdir}/girepository-1.0/Gst-0.10.typelib
%{_libdir}/girepository-1.0/GstBase-0.10.typelib
%{_libdir}/girepository-1.0/GstCheck-0.10.typelib
%{_libdir}/girepository-1.0/GstController-0.10.typelib
%{_libdir}/girepository-1.0/GstNet-0.10.typelib
%endif

%files utils
%defattr(-, root, root)
%{_bindir}/*-%{gst_branch}
%doc %{_mandir}/man?/*-%{gst_branch}.*

%files utils-unversioned
%defattr(-, root, root)
%{_bindir}/*
%exclude %{_bindir}/*-%{gst_branch}

%files devel
%defattr(-, root, root)
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%{_libexecdir}/rpm
%if 0%?suse_version < 1210
%{_sysconfdir}/rpm
%endif
%if %suse_version >= 1120
%{_datadir}/gir-1.0/*.gir
%endif
%endif

%changelog
* Fri Apr  8 2016 dimstar@opensuse.org
- Add gstreamer-0_10-gtk-doc-1.25.patch: Fix build with gtk-doc
  1.25. index.sgml is an internal file and must not be messed with
  (and with gtk-doc 1.25 it is no longer created).
  (Fate#318572)
* Mon Dec 22 2014 olaf@aepfle.de
- Fix filelist for SLE_11
* Fri Dec 19 2014 olaf@aepfle.de
- Remove self-obsoletes in utils-unversioned
* Mon Nov 17 2014 Led <ledest@gmail.com>
- fix pre_checkin.sh script that was broken in previous commit
* Mon Nov 17 2014 Led <ledest@gmail.com>
- fix bashisms in gstreamer.prov and pre_checkin.sh scripts
* Sun Sep 29 2013 dimstar@opensuse.org
- Add gstreamer-0_10-bison3.patch: Fix build with Bison 3.
* Mon Dec 10 2012 dimstar@opensuse.org
- Add gstreamer-no-setlocale.patch: Don't set the locale in
  gst_init() (bnc#779426, bgo#685650).
* Tue Sep 11 2012 vuntz@opensuse.org
- Make gstreamer 1.0 and 0.10 -devel parallel installable:
  + Rename gstreamer.attr to gstreamer_0_10.attr
  + Rename gstreamer-provides to gstreamer-0_10-provides
  + Macros defined in gstreamer_0_10.attr are also versioned:
    %%__gstreamer_0_10_provides instead of %%__gstreamer_provides for
    instance.
* Fri Sep  7 2012 vuntz@opensuse.org
- Rename gstreamer-utils subpackage to
  gstreamer-0_10-utils-unversioned:
  + The gstreamer-utils name is now used by gstreamer 1.0, so we
    don't want to conflict.
  + This subpackage contains unversioned binaries that prefer
    gstreamer 0.10, so it kind of makes sense to keep the version
    in the name of the package anyway, even it's not optimal.
  + Add Provides/Obsoletes for gstreamer-utils for smooth upgrades.
    They are versioned, so should not affect gstreamer 1.0.
* Mon Sep  3 2012 dimstar@opensuse.org
- Remove Provides for gstreamer, gstreamer-doc, gstreamer-devel:
  these are now real packages for gstreamer 1.0.
* Thu May 10 2012 reddwarf@opensuse.org
- Change packaging to make it possible to scan for 32bit plugins on
  64bit systems (which we want), see background discussion at
  http://lists.opensuse.org/opensuse-packaging/2012-05/msg00062.html
  + Pass --libexecdir=%%{_libdir} to configure, in order to move
    gst-plugin-scanner to libdir.
  + Package gst-plugin-scanner in gstreamer-0_10-32bit.
* Tue Feb 21 2012 vuntz@opensuse.org
- Update to version 0.10.36:
  + bin:
  - Don't interpret pipelines without sink elements as always
    being in EOS state
  - Only post EOS messages after reaching the PLAYING state
  + buffer: add set/get_qdata() to attach arbitrary metadata to
    buffers
  + caps, structure, gstvalue: some optimisations and improvements
  + miniobject: add weak referencing functionality
  + gstobject: make gst_object_replace() atomic
  + pad:
  - Only do the subset check in gst_pad_accept_caps() if the pad
    claims to accept the caps
  - Make public some ghostpad/proxypad API
  + preset: allow applications to specify an extra preset directory
    with application-specific presets
  + collectpads: add GstCollectPads2 API
  + basebarse:
  - new detect vfunc so subclassed can do some format detection
    first
  - new get_sink_caps vfunc so downstream caps restrictions can
    be propagated upstream
  - answer position query in stream time and try upstream first
  - send duration message when updating internal duration
  - make baseparse-based elements is reusable
  - provide latency query support
  + basesink:
  - basesink: don't compensate for render-delay twice
  - basesink: try harder to arrange increasing position reporting
  + basesrc: allow for the size to change dynamically
  + basetransform:
  - add query vfunc
  - caps negotiation improvements
  - delay serialized events when src caps are not set yet
  + filesrc:
  - filesrc: do not mistake short reads for EOS
  - filesrc/fdsrc: indicate dynamic size handling to basesrc
  + inputselector: add sync mode that syncs inactive pads to the
    running time of the active pad
  + queue2:
  - add bufferlist support
  - adjust input data rate estimation
  + multiqueue:
  - add mode to synchronize deactivated/not-linked streams by the
    running time
  - check filled state of queues even if another one is empty
  + outputselector: don't send last segment/buffer when no segment
    was configured yet
  + tools:
  - teach gst-launch about missing-plugin messages
  - make unversioned wrapper look for -0.10 tools only
  + See NEWS for API additions and deprecations.
  + Bugs fixed: bgo#647940, bgo#662777, bgo#647493, bgo#415754,
    bgo#459466, bgo#546570, bgo#609473, bgo#619844, bgo#628021,
    bgo#629300, bgo#643269, bgo#645017, bgo#645107, bgo#647756,
    bgo#648025, bgo#650002, bgo#650973, bgo#652037, bgo#652577,
    bgo#653137, bgo#653172, bgo#655155, bgo#655204, bgo#655381,
    bgo#656193, bgo#656265, bgo#656557, bgo#657316, bgo#657318,
    bgo#657421, bgo#658076, bgo#658449, bgo#658517, bgo#658518,
    bgo#658541, bgo#658918, bgo#659139, bgo#659571, bgo#659606,
    bgo#660083, bgo#660144, bgo#660165, bgo#660760, bgo#660778,
    bgo#660955, bgo#662091, bgo#662199, bgo#662291, bgo#662664,
    bgo#663333, bgo#663643, bgo#664221, bgo#664720, bgo#665921,
    bgo#666174, bgo#667284, bgo#667286, bgo#667288, bgo#667290,
    bgo#667298, bgo#667444, bgo#668289, bgo#668764, bgo#669036,
    bgo#669502.
- Add xz BuildRequires on openSUSE <= 12.1, to be able to
  decompress the xz tarball.
* Mon Feb 20 2012 vuntz@opensuse.org
- Change gstreamer-utils Requires in devel subpackage to
  gstreamer-0_10-utils, so that we're ready for the arrival of
  gstreamer 0.11/1.0.
- Adapt gstreamer-0_10.prov accordingly: the versioned tools should
  be used.
* Fri Jan  6 2012 vuntz@opensuse.org
- Split typelib files into typelib-1_0-Gst-0_10 subpackage.
- Add typelib-1_0-Gst-0_10 Requires to devel subpackage.
- Add explicit libgstreamer-0_10-0 Requires to devel subpackage: it
  was there implicitly before, throught the gstreamer-0_10
  Requires, but it's better to have it explicit.
- Remove explicit check-devel, glib2-devel, libxml2-devel and
  popt-devel Requires from devel subpackage: the ones that are
  needed will be added the pkgconfig() way, and the others are
  actually wrong.
* Sat Oct 15 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Fri Oct 14 2011 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Fri Jun 17 2011 dimstar@opensuse.org
- Update to version 0.10.35:
  + Work around GLib atomic ops API change
  + Some minor win32/mingw fixes
  + Don't use G_CONST_RETURN in public headers (bgo#652211)
* Thu May 19 2011 mls@suse.de
- move gstreamer deps generator definition from rpm into
  the gstreamer-0.10-devel package
* Wed May 18 2011 dimstar@opensuse.org
- Update to version 0.10.34:
  + Fix multiqueue thread-safety regression
  + Don't set artificial 0-timestamp on first packet for TIME-based
    live sources
  + Bugs fixed: bgo#649369, bgo#649878.
* Wed May 11 2011 dimstar@opensuse.org
- Update to version 0.10.33:
  + atomicqueue: add an atomic/lock-free queue structure based
  + bufferlist: improve _add*() performance
  + bus: in _add_watch() honour any per-thread default main context
    set via g_main_thread_push_thread_default()
  + caps: new gst_caps_intersect_full() to intersect in different
    modes
  + clock: add functions to re-init existing periodic GstClockIDs
  + event: add QoS type (overflow, underflow, throttle) for QoS
    events
  + ghostpad: The internally linked pad of the proxypad is the
    ghostpad
  + gstpoll: retry reading the control socket to release properly
    all wakeups
  + message: new progress message API for asynchronous operations
  + pad:
  - unlock before freeing the pad cache to avoid deadlock
  - better handling for when parent goes away during
    data/query/event flow
  + parse-launch: allow element names to begin with digits
  + pluginloader: call gst-plugin-scanner with the right arch on
    OSX, fixing hangs with firefox
  + registry: fixes elements (features) disappearing if a plugin or
    plugin file is renamed
  + structure:
  - Add "(date)" as a type abbreviation of GDate
  - Don't allow invalid GDates in all structures and don't allow
    NULL GDates in taglists
  + taglist: add a new "encoded-by" tag
  + uri: add gst_filename_to_uri() that takes relative filenames
  + utils: add gst_element_factory_can_{src|sink}_{any|all}_caps()
    to replace can_{sink,src}_caps()
  + baseparse: new GstBaseParse class for parsers
  + basesink:
  - improve rate, duration, and average duration calculation
  - use new QoS types and add add "throttle-time" property
  + basesrc:
  - Handle tag and custom downstream events the same
  - keep downstream caps order when fixating, to honour
    downstream preferences when negotiating
  - Return FALSE if we don't handle an event
  - Send synchronized custom downstream/both events downstream
    from the streaming thread
  + basetransform:
  - Be smarter with pad allocs
  - Check for pad alloc caps when suggestion is not fixed
  - Retain caps order when getting caps, to honour downstream
    preferences when negotiating
  + funnel: new N-to-1 pipe fitting element imported from farsight
  + fakesink:
  - print buffer flags
  - Fix escaping of URIs
  + file{sink,src}:
  - Check if non-URI characters are escaped, but only for the URI
    not the location property
  - fix URI creation regression for non-absolute locations
  + filesrc: Fix escaping of file uris
  + inputselector:
  - Hold the selector lock while reading properties of the active
    pad
  - Make sure that EOS is always sent downstream for the active
    pad
  - Return GST_FLOW_OK until the selected pad pushed something
    downstream
  - Stop waiting for a pad switch when the pad is flushing
  + multiqueue:
  - fix some potential corner-case deadlocks and some leaks
  - handle arbitrary sink + source pad naming
  + queue2: don't read beyond the end of file upstream in pull
    mode; leak fixes
  + plugins: make query and event functions more thread-safe,
    protect against parent-pad disappearing
  + gst-launch: add GstIndex support
  + Bugs fixed: bgo#642356, bgo#402141, bgo#518857, bgo#604094,
    bgo#615357, bgo#617045, bgo#639674, bgo#639962, bgo#640071,
    bgo#640437, bgo#640502, bgo#640622, bgo#640675, bgo#640850,
    bgo#641212, bgo#641928, bgo#642071, bgo#642130, bgo#642271,
    bgo#642373, bgo#642393, bgo#642504, bgo#642522, bgo#642869,
    bgo#643301, bgo#643455, bgo#644935, bgo#645022, bgo#645267,
    bgo#645595, bgo#645746, bgo#645877, bgo#645931, bgo#646118,
    bgo#646341, bgo#646531, bgo#646566, bgo#646569, bgo#646624,
    bgo#646811, bgo#646971, bgo#647005, bgo#647131, bgo#647293,
    bgo#647763, bgo#647844, bgo#647922, bgo#648199, bgo#648215,
    bgo#648220, bgo#648297, bgo#649195, bgo#635718, bgo#625396,
    bgo#640771, bgo#646972, bgo#640665.
- Rebase gstreamer-0_10-rpm-prov.patch.
* Tue May  3 2011 dimstar@opensuse.org
- Extend gstreamer-0_10-rpm-prov.patch: Also provide elements.
* Tue Jan 25 2011 wstephenson@novell.com
- Update to version 0.10.32
  + GLib requirement is now >= 2.22
  + New core elements:
  - valve (moved from -bad)
  - input-selector (N.B. without "select-all" property, use fsfunnel
    instead) (moved from -bad)
  - output-selector (with different negotiation behaviour by
    default, set pad-negotiation-mode=active for previous behaviour)
    (moved from -bad)
  + Performance improvements for many heavily-used code paths:
    GstPad, GstPoll, GstClock, GstTask, basesink, basesrc, queue2,
    multiqueue
  + gobject-introspection: add annotations for most core API
  + clock: make sync clock wait lockfree
  + fdsrc/fdsink: reenable on MSVC
  + registry: fix GStatBuf definition for win32 when building against
    older glib (fixes unnecessary rescanning of plugins at start-up)
  + element: add a more flexible way to get request pads from elements
  + multiqueue: return upon input when already eos
  + object: fix creation of default name
    (when creating more than 100000 elements)
  + pluginloader: fix hangs on OSX
  + poll:
  - fixes for (p)select backend (used e.g. on OSX)
  - refactor and make more lockfree; fixes for win32 and OSX
    (pselect backend)
  + registry: don't replace valid existing plugins by blacklisted ones
  + tags: don't produce duplicated entries when merging same value twice
  + basesink:
  - preroll fixes for async=false case
  - rework position reporting code
  + basetransform: handle downstream giving a buffer with new caps
    but invalid size
* Sun Jan 16 2011 aj@suse.de
- Remove buildrequire on pyxml and add python instead for doc
  package only, changelog of package with date 2008-03-21 contains:
  "Don't depend on PyXML and use only XML modules that are shipped
  with python."
* Tue Dec  7 2010 vuntz@opensuse.org
- Update to version 0.10.31:
  + bin:
  - add "message-forward" property to force forwarding of
    messages that would usually be filtered such as ASYNC_DONE or
    EOS
  - improve tracking of source elements for more efficient event
    dispatch
  + bufferlist: add function to add a list of buffers
  + clock: fix racy shutdown clock id leak
  + element:
  - add support for arbitrary element class / factory details
  - link_many should activate pads if needed
  + gst: add math-compat.h header
  + datetime: add GstDateTime API
  + elementfactory: add utility functions to filter features by
    type
  + plugin: load the gst-python plugin loader with
    G_MODULE_BIND_LAZY
  + query: add buffering ranges API to retrieve informations about
    the areas of the stream currently buffered
  + value: add int64 range type
  + info: write debugging output to file if GST_DEBUG_FILE
    environment variable is set
  + pad: use more efficient g_object_notify_by_pspec() for caps
    notifies if compiling against new-enough GLib
  + pipeline: If the currently used clock gets lost update it the
    next time when going from PAUSED to playing
  + plugin: add release datetime field to GstPluginDesc and set it
    if GST_PACKAGE_RELEASE_DATETIME is defined
  + utils: speed up pad linking utility functions by not trying
    pads that will never work
  + adapter:
  - add function to get a list of buffers; support 0-sized
    buffers
  - optimize gst_adapter_take() and gst_adapter_peek() a little
  + basesink: only answer the SEGMENT query in pull mode
  + basesrc: return values in stream time for the POSITION query
  + basetransform:
  - allow the subclass to add new fields to caps when getting new
    caps from downstream
  - avoid useless memcpy
  - upstream caps-renegotiation fixes
  + bitreader: add inlined and unchecked versions of the most
    important functions
  + bytewriter:
  - add inline and unchecked variants of all important functions
  - fix possible infinite loop caused by an overflow
  + queue:
  - add "silent" property to suppress signal emission (for better
    performance)
  - avoid unnecessary g_cond_signal() (for better performance)
  - push newsegment event when linking in PLAYING
  + queue2:
  - extend ring buffer to support RAM mode
  - in download mode, prevent range corruption due to race
  - don't send seeks beyond the end of the file upstream in pull
    mode (fixes apple trailers and youtube/html5 playback in
    webkit)
  + multiqueue: flush the data queue if downstream return
    WRONG_STATE too
  + gst-inspect: print GST_PARAM_MUTABLE_* property flags
  + See NEWS for API additions and deprecations.
  + Bugs fixed: bgo#396774, bgo#482147, bgo#579127, bgo#594504,
    bgo#600004, bgo#610366, bgo#611918, bgo#618919, bgo#619522,
    bgo#621299, bgo#621332, bgo#622740, bgo#623040, bgo#623121,
    bgo#623491, bgo#623541, bgo#623622, bgo#623806, bgo#623875,
    bgo#624203, bgo#625239, bgo#625295, bgo#625368, bgo#625862,
    bgo#626027, bgo#626181, bgo#626651, bgo#626784, bgo#627438,
    bgo#627826, bgo#627910, bgo#627959, bgo#628014, bgo#628174,
    bgo#628176, bgo#628408, bgo#629241, bgo#629410, bgo#629494,
    bgo#629553, bgo#629831, bgo#629946, bgo#630257, bgo#630436,
    bgo#630437, bgo#630439, bgo#631755, bgo#631853, bgo#632236,
    bgo#632433, bgo#632977, bgo#633147, bgo#633886, bgo#635031,
    bgo#635389, bgo#635869, bgo#633176.
- Drop gstreamer-0_10-make382.patch: fixed upstream.
* Sat Sep 18 2010 vuntz@opensuse.org
- Move gir files to devel subpackage.
* Wed Sep 15 2010 dimstar@opensuse.org
- Extend gstreamer-0_10.prov: we need a possibility to simply skip
  the automatic provides function. In this case, defining
  SKIP_GSTPROVIDES to non-zero will be recognized as an ignore flag
  for the package. All other requires/provides will not be
  affected.
* Sat Sep 11 2010 dimstar@opensuse.org
- Add gstreamer-0_10-make382.patch: Fix build with make 3.82.
  Generally, the -doc package is affected.
* Thu Sep  2 2010 dimstar@opensuse.org
- Add gstreamer-0_10-rpm-prov.patch: adds --rpm to gst-inspect,
  allowing rpm to create a list of provides, thanks to the
  gstreamer-0_10.prov script we install. Those provides can then be
  picked up by PackageKit. Patch taken from Fedora's gstreamer
  package.
- Add gstreamer-0_10.macros that contains a rpm macro, in case
  external provides scripts are used.
- Add gstreamer-utils Requires to the -devel package: this is used
  in gstreamer-0_10.prov for the rpm magic to work.
* Tue Aug 31 2010 aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
* Tue Aug 31 2010 aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
* Thu Jul 29 2010 dimstar@opensuse.org
- Update to version 0.10.30:
  + bgo#623586: gst/tagsetter check fails
  + bgo#463435: Skip #include < libxml/parser.h > in gstconfig.h.in
    when not needed
  + bgo#505770: gst_element_get_state() should unblock if element
    posts an error
  + bgo#615820: implement percentage position and duration queries
  + bgo#615941: [tags] Add GST_TAG_DEVICE_MANUFACTURER and
    GST_TAG_DEVICE_MODEL
  + bgo#616586: Use GObject's boxed type for GError
  + bgo#617223: [tags] Add tags for direction of capture and
    movement
  + bgo#617625: Commandline utility wrappers (gst-run) don't work
    on Windows
  + bgo#618644: gst_pad_get_caps() Return pad template if parent
    element is in GST_STATE_NULL
  + bgo#619508: [tag] Add image orientation tag
  + bgo#619815: GST_PLUGIN_LOADING_WHITELIST env var for unit tests
  + bgo#619828: [API] adapter: add masked_scan_uint32_peek
  + bgo#620460: info: add new TRACE log level and move refcounting
    there from LOG level
  + bgo#620490: [basesink] segment query unconditionally returns
    FALSE
  + bgo#621006: Deprecate unused gst_object_{get|set}_name_prefix()
  + bgo#621282: Display of short fourccs is in hex instead of text
  + bgo#621332: BaseTransform should disable proxy alloc if
    downstream changes caps
  + bgo#621334: GstBaseTransform should not require a
    transform_size function
  + bgo#621505: Disable memory poisoning by default for releases
  + bgo#621527: gstcaps: New gst_caps_steal_structure() method
  + bgo#621530: filesink ignores sync=true
  + bgo#621595: --quiet doesnt make gst-launch be completely quiet,
    also messages should not go to stdout
  + bgo#621773: Add introspection annotations
  + bgo#621867: gst-launch: rename new --no-play command line
    option
  + bgo#621896: [API][taglist] Add gst_tag_list_peek_string_index
  + bgo#622504: [GstPad] Provide more fine-grained linking methods
  + bgo#622546: distcheck fails in docs/plugins/
  + bgo#622685: [GstXml] Deprecate GstXml
  + bgo#622967: [queue2] Problems with progressive downloading
  + bgo#623301: gst_caps_normalize: doesn't normalize completely
  + bgo#623589: Fix races/refcounting bugs with slave clocks
  + bgo#624113: [tags] wrong behaviour in merge function for
    strings
  + bgo#622025: Can't build gstreamer due to Gst-0.10.gir: error:
    Can't resolve type 'PadIntLinkFunction' for field
    Gst.Pad.intlinkfunc
* Tue May  4 2010 dimstar@opensuse.org
- Update to version 0.10.29:
  + improve plugin loading robustness: do not ever unload a plugin
    after calling into it: should fix mystery crashers during
    registry loading when a plugin init function returns FALSE
    (e.g. when some supporting library fails to initialise or a
    wrapper plugin found no features to wrap and wrongly returned
    FALSE)
  + configurable memory alignment for GstBuffers
  + add QoS message to inform apps of lost data, dropped frames etc
  + basesink, basetransform: add support for new QoS message
  + basetransform: accept non-fixed caps suggestions
  + basesrc: fix gst_base_src_new_seamless_segment()
  + GstController fixes and optimisations
  + set thread name for pad tasks on Linux
  + pipeline, bin: fix refcount issue when removing elements during
    a state change
  + queue2: implement seeking in download mode
  + queue2: implement flushing in download buffering
  + queue2: improve buffer level measurement in download mode
  + fdsrc: allow specifying the size in bytes on the uri
  + build fixes: better checks for uint128_t, inline assembly on
    OSX, compilation if HAVE_REGISTER_PRINTF_SPECIFIER is
    undefined, gobject-introspection
  + two symbols were removed that had been exported but never been
    used or been declared in any header file:
    gst_element_default_error & gst_element_request_compatible_pad.
- Drop gstreamer-0_10-fix-introspection-build.patch: upstreamed.
- Rebase gstreamer-0_10-no-gtk-doc-for-reals.patch.
* Sat Mar 13 2010 dimstar@opensuse.org
- Update to version 0.10.28:
  + No material changes compared to 0.10.27, this release is mostly
    to keep the version in sync with gst-plugins-base
  + Parse "1/MAX" fraction strings .
* Mon Mar  8 2010 dimstar@opensuse.org
- Update to version 0.10.27:
  + bgo#610366: [gstcollectpads][doc] Add a reminder for 'data' doc
  + bgo#605189: gst_element_get_state has wrong introspection
  + bgo#607771: [API] Add gst_byte_writer_fill
  + bgo#608036: [typefind] deadlock when upstream puts caps on
    buffers on pull mode
  + bgo#608877: [typefind] Access to internal fields not threadsafe
  + bgo#609941: GStreamer-WARNING **: External plugin loader failed
  + bgo#610210: [PATCH] Fix compilation of fdsink and fdsrc with
    MSVC
  + bgo#610246: [optimization] Speed up _get_range()
  + bgo#610367: [memindex] might busy loop upon EXACT lookup
  + bgo#610444: [controller] Interpolation control source passes
    NULL pointers to GSequence API
  + bgo#611087: [basesink] emergency rendering of late buffers
    fails after resuming from PAUSE
  + bgo#611719: GST_DEBUG_OBJECT macros not fed with GObject* in
    gstpoll.c
  + API additions:
  - gst_byte_writer_fill()
* Fri Feb 12 2010 dimstar@opensuse.org
- Update to version 0.10.26:
  + Changes:
  - registry: do plugin scanning (on *nix) using an external
    helper binary
  - lots of performance improvements all over the place
  - add GstByteWriter, a simple generic byte writer
  - filesink: Use _wfopen on win32 to open files with non-ascii
    filenames correctly.
  - queue2: add option to remove the temp-file (enabled by
    default)
  - it is now allowed to use gst_caps_set_simple() on non-simple
    caps
  - queue2: move from gst-plugins-base into the coreelements
    plugin in core
  - multiqueue: add support for buffering mode where we post
    BUFFERING messages based on the level of the queues
  - typefind: speed up typefinding a lot by first trying the
    typefinder for the file's extension
  - buffer: remove private/internal subbuffer subclass and keep
    track of the parent buffer directly in the GstBuffer
    structure
  - collectpads: add ability to install clipping functions
  - new tags for TV/Radio shows/episodes, lyrics, composer
    sortname and grouping
  - miniobject: avoid race when recycling buffers
  - basesrc: fix race in PLAYING->PAUSED->PLAYING
  + Bugs fixed: bgo#476514, bgo#590941, bgo#595602, bgo#535069,
    bgo#560442, bgo#595511, bgo#595886, bgo#595964, bgo#596366,
    bgo#597407, bgo#597550, bgo#597690, bgo#598297, bgo#598526,
    bgo#598700, bgo#598895, bgo#598896, bgo#599147, bgo#599759,
    bgo#600313, bgo#600922, bgo#601587, bgo#601668, bgo#601669,
    bgo#602093, bgo#602275, bgo#602419, bgo#603059, bgo#603787,
    bgo#604091, bgo#604093, bgo#605251, bgo#605930, bgo#606435,
    bgo#607283, bgo#607317, bgo#607431, bgo#607481, bgo#607739,
    bgo#607842, bgo#608136, bgo#608398, bgo#608442, bgo#608726,
    bgo#609166, bgo#590669, bgo#601698, bgo#604565, bgo#596877
  + API additions, see NEWS.
* Wed Jan  6 2010 jengelh@medozas.de
- Package baselibs.conf
* Thu Dec  3 2009 vuntz@opensuse.org
- Compile introspection support:
  + Add gobject-introspection-devel BuildRequires.
  + Pass --enable-introspection to configure.
  + Add gstreamer-0_10-fix-introspection-build.patch to fix the
    build.
- Small cleanups.
* Mon Nov 16 2009 lmedinas@opensuse.org
- Update to version 0.10.25:
  + Changes:
  - Improve the byte-reader API
  - GObject introspection support
  - Improve clock accuracy on win32
  - Optimisations in capabilities checking
  - Optimisations and fixes in the basetransform base class
  - New 64-bit scaling utility function variants
  - Various bug-fixes and improvements
  + Bugs fixed: bgo#583999, bgo#566881, bgo#588472, bgo#589173,
    bgo#589314, bgo#589524, bgo#589849, bgo#589991, bgo#590045,
    bgo#590430, bgo#590841, bgo#590919, bgo#591045, bgo#591318,
    bgo#591441, bgo#592209, bgo#592314, bgo#593460, bgo#593719,
    bgo#594107, bgo#594225, bgo#594990, bgo#595130, bgo#595133,
    bgo#595209, bgo#368536
* Mon Oct 26 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Wed Aug 12 2009 sbrabec@suse.cz
- Create empty /usr/share/gstreamer-0.10/presets for presets.
* Wed Aug  5 2009 vuntz@novell.com
- Update to version 0.10.24:
  + Changes:
  - Fully support nested structures in caps
  - Support frame-by-frame stepping in sinks
  - Add support for buffer-lists to pass around groups of buffers
  - Use TaskPools for managing worker threads
  - New stream-status API for finer thread control
  - Code optimisations
  - Many other bug-fixes and enhancements
  + Bugs fixed: bgo#580579, bgo#527488, bgo#570233, bgo#584389,
    bgo#534208, bgo#545787, bgo#554460, bgo#559643, bgo#560345,
    bgo#560442, bgo#572285, bgo#577926, bgo#578908, bgo#580177,
    bgo#580716, bgo#581198, bgo#581281, bgo#582010, bgo#582564,
    bgo#582588, bgo#582878, bgo#583187, bgo#583419, bgo#583456,
    bgo#583554, bgo#584835, bgo#584838, bgo#585039, bgo#585075,
    bgo#585137, bgo#585592, bgo#585733, bgo#585748, bgo#586566,
    bgo#586568, bgo#587973, bgo#587976, bgo#588744, bgo#588745,
    bgo#589127, bgo#590056, bgo#590622, bgo#579177, bgo#581321,
    bgo#584118, bgo#585433, bgo#585569, bgo#585834, bgo#585960,
    bgo#587052
  + API additions.
* Sun May 17 2009 vuntz@novell.com
- Update to version 0.10.23:
  + Support files > 4GB on Windows
  + Controller interpolation fixes
  + Add timer support to GstPoll and use it for clocking
  + Attempt to typefind contents from the file extension if all
    else fails
  + GStreamer revision control switched to Git
  + Many other bug fixes and improvements
  + Bugs fixed: bgo#579177, bgo#163577, bgo#574160, bgo#575598,
    bgo#575922, bgo#576842, bgo#555978, bgo#565607, bgo#566936,
    bgo#567692, bgo#567725, bgo#568289, bgo#568438, bgo#568481,
    bgo#568632, bgo#568678, bgo#570910, bgo#571227, bgo#571559,
    bgo#572480, bgo#573623, bgo#574024, bgo#574211, bgo#574213,
    bgo#574241, bgo#574484, bgo#574623, bgo#574805, bgo#575695,
    bgo#575814, bgo#576381, bgo#576563, bgo#576582, bgo#577887,
    bgo#577891, bgo#578114, bgo#578201, bgo#579127, bgo#580121,
    bgo#361155, bgo#517231, bgo#572591, bgo#573823, bgo#574163,
    bgo#575682, bgo#575988
  + API additions:
  - New FIXME and MEMDUMP debug levels
  - gst_tag_list_get_buffer() and gst_tag_list_get_buffer_index()
  - New tags: GST_TAG_SUBTITLE_CODEC, GST_TAG_HOMEPAGE
  - gst_util_array_binary_search()
  - gst_message_new_request_state(),
    gst_message_parse_request_state(), GST_MESSAGE_REQUEST_STATE
  - GstPoll::gst_poll_new_timer()
  - GstPoll::gst_poll_write_control()
  - GstPoll::gst_poll_read_control()
* Thu Apr 23 2009 sbrabec@suse.cz
- Don't call autogen in older products.
* Thu Feb  5 2009 vuntz@novell.com
- Update to version 0.10.22:
  + GstController improvements
  + Extensions to the latency setting behaviours
  + Ability for plugins to register dependencies to trigger
    re-scanning
  + Optimisations in some common operations on caps and values and
    elsewhere
  + Add sequence numbers to events so dependent events can be
    associated with
  + the event that caused them
  + New macros for reading and writing float values
  + Many improvements in the basesink base class
  + Support non-default main contexts for GstBus watches
  + Improvements in pull-mode scheduling of sinks
  + Fixes for alignment issues on sparc
  + Ghost pad fixes
  + New bit-reader assistance API
  + Many other bug fixes and improvements
  + Bugs fixed: bgo#567002, bgo#350477, bgo#510354, bgo#526044,
    bgo#539108, bgo#544003, bgo#544293, bgo#545714, bgo#548786,
    bgo#551676, bgo#552778, bgo#553554, bgo#553874, bgo#555196,
    bgo#555307, bgo#555631, bgo#556091, bgo#556900, bgo#557154,
    bgo#557300, bgo#557438, bgo#557649, bgo#559250, bgo#560301,
    bgo#560360, bgo#560399, bgo#560442, bgo#561501, bgo#562170,
    bgo#562949, bgo#564863, bgo#567225, bgo#566393
  + API added:
  - Add bit reader and byte reader classes.
  - gst_message_new_structure_change()
  - gst_message_parse_structure_change()
  - GST_BUFFER_FREE_FUNC()
  - Add GST_READ_UINT24_(LE|BE) and GST_WRITE_UINT24_(LE|BE).
  - GstBaseSrc::gst_base_src_set_blocksize()
  - GstBaseSrc::gst_base_src_get_blocksize()
  - GstBaseSink::gst_base_sink_set_blocksize()
  - GstBaseSink::gst_base_sink_get_blocksize()
  - GstBaseSink::blocksize
  - GstBaseSink::gst_base_sink_do_preroll()
  - Add gst_byte_reader_get_data and gst_byte_reader_peek_data
  - Move float endianness conversion macros from libgstfloatcast to core
  - gst_util_seqnum_next, gst_util_seqnum_compare
  - gst_event_get_seqnum, gst_event_set_seqnum
  - gst_message_get_seqnum, gst_message_set_seqnum
  - GstSeekFlags::GST_SEEK_FLAG_SKIP
  - gst_bin_recalculate_latency()
  - GstBin::do-latency
  - gst_tag_setter_reset_tags()
  - gst_query_new_uri, gst_query_set_uri, gst_query_parse_uri
  - add gst_plugin_add_dependency()
  - add gst_plugin_add_dependency_simple()
- Drop gstreamer-0_10-protect-caps-bnc439323.patch: fixed upstream.
* Thu Nov  6 2008 sbrabec@suse.cz
- Fixed valgrid BuildRequires.
* Fri Oct 31 2008 gburt@suse.de
- Add patch from upstream to fix bad GST_CAPS bug in 0.10.21
    + Fixes bnc#439323 and bgo#555631
* Tue Oct 21 2008 maw@suse.de
- Update to version 0.10.21:
  +  Basetransform rework
  + Basesink synchronisation extensions
  + New documentation
  + Bugs fixed: bgo#481169, bgo#520694, bgo#538201, bgo#544855,
    bgo#339795, bgo#348114, bgo#361718, bgo#533856, bgo#536978,
    bgo#537804, bgo#537812, bgo#538568, bgo#539772, bgo#542175,
    bgo#543444, bgo#543853, bgo#544174, bgo#544776, bgo#545352,
    bgo#545603, bgo#545605, bgo#545607, bgo#545853, bgo#546328,
    bgo#546822, bgo#547277, bgo#547728, bgo#548394, bgo#548652,
    bgo#549504, bgo#551952, bgo#551978, bgo#547835, bgo#538628,
    bgo#546883, and bgo#551509
  + API added:
  * Add GST_TAG_ATTACHMENT for generic file attachments to streams.
  * Add gst_base_sink_set_render_delay()
  * Add gst_base_sink_get_render_delay()
  * Add gst_check_setup_src_pad_by_name
  * Add gst_check_setup_sink_pad_by_name
  * Add gst_check_teardown_pad_by_name
  * Add GstBaseTransform::gst_base_transform_suggest()
  * GstBaseTransform::gst_base_transform_reconfigure()
  * GstPad::gst_pad_set_iterate_internal_links_function()
  * GstPad::GstPadIterIntLinkFunction
  * GstPad::gst_pad_iterate_internal_links()
  * GstPad::gst_pad_iterate_internal_links_default()
  + API deprecated:
  * gst_pad_get_internal_links()
  * gst_pad_set_internal_link_function()
  * gst_pad_get_internal_links_default()
- Add gstreamer-0_10-no-gtk-doc-for-reals.patch.
* Thu Sep  4 2008 mboman@novell.com
- Update to version 0.10.20:
  + Add the Presets interface
  + Use the binary registry by default
  + Deprecate gst_element_get_pad and don't use it anywhere any more.
  + Reverse playback fixes
  + API to get missing element messages from parse_launch parsing.
  + Fixes in latency calculations
  + BaseTransform negotiation fixes
  + New Buffering query and messages
  + Fix multiqueue deadlocks when changing limits
  + Remove pre-generated parser hacks and require newer flex/bison
  + Use GSlice in more places
  + Use static strings in property declarations everywhere to save memory
    allocations
  + Fix unaligned memory accesses with the binary registry and add CRC
    checks
  + Lots of other bug fixes
* Wed May 14 2008 cthiel@suse.de
- fix baselibs.conf
* Tue Apr 29 2008 cthiel@suse.de
- obsolete gstreamer010-<arch> via baselibs.conf
* Tue Apr 15 2008 sbrabec@suse.cz
- fix build
* Mon Apr 14 2008 sbrabec@suse.cz
- Updated to version 0.10.19:
  * Fix a regression in raw fd handling
  * Fixed: bgo#524041
- Fixed Obsoletes (bnc#357153).
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Apr  2 2008 maw@suse.de
- Update to version 0.10.18:
  + New GstPoll abstraction simplifies operations on multiple
    file descriptors
  + Bugs fixed: bgo#516187, bgo#516395, bgo#520756, bgo#498222,
    bgo#499127, bgo#505417, bgo#509559, bgo#510194, bgo#511783,
    bgo#513964, bgo#515469, bgo#519584, bgo#519698, bgo#520152,
    bgo#520671, bgo#520808, bgo#520877, bgo#521740, and bgo#522741.
* Wed Mar 19 2008 maw@suse.de
- Require texlive-latex and texlive-latex-doc to build.
* Tue Feb  5 2008 maw@suse.de
- Update to version 0.10.17:
  + Fix compilation problems
  + Bugs fixed: bgo#512715.
* Tue Feb  5 2008 maw@suse.de
- Update to version 0.10.16:
  + Monotonic/Posix clock support
  + Dumping of dot-file graph descriptions for debugging
  + Cleanup of exported symbols
  + Many bug fixes and enhancements
- Build with -fno-strict-aliasing.
* Tue Jan 22 2008 sbrabec@suse.cz
- Updated to version 0.10.15:
  * Changes for asynchronous sink management
  * New ts-offset property on basesink for adjusting clock synchronisation
  * New GstController LFO feature
  * Fixes and improvements in latency measurement for live pipelines
  * Additional documentation and docs fixes
  * Faster typefinding
  * More tag types added
  * Improvements in various core elements and parent classes
  * New unit tests
  * Allow dumping pipelines as dot graphs
  * GstStructures now support nesting
  * URIHandler interface can now be implemented in bindings
  * Many other bug-fixes and improvements
  * API additions
- Split package according to shared library packaging policy
  (#223286).
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 0.10.14:
  * State change handling improvements
  * New improved GstController API
  * Multi-queue fixes and enhancements
  * Fewer dynamic library relocations
  * Various other fixes and improvements
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * Add GstParamSpecFraction, so elements can have fraction
    properties without lots of painful string parsing.
  * Add fail_unless_equals_float() and assert_equals_float()
  * Add gst_type_register_static_full
  * Add gst_element_class_set_details_simple
  * Refactor GstController into the core controller which can take
    a GstControlSource for providing actual values for timestamps.
  * add GST_TAG_LICENSE_URI and GST_TAG_COPYRIGHT_URI
  * gst_element_factory_has_interface()
  * Many bugs fixed.
* Wed Aug 15 2007 coolo@suse.de
- do not require lang package in doc
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Fri Jul 20 2007 aj@suse.de
- Create separate spec file for doc package.
* Thu Jul 12 2007 dmueller@suse.de
- fix installed headers to be compileable with -pedantic
* Wed Jun 20 2007 sbrabec@suse.cz
- Updated to version 0.10.13:
  * Latency handling infrastructure for live playback scenarios
  * State change handling changes
  * GstController property handling improved
  * Various bug fixes and improvements
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * Many bugs fixed
  * Many API additions
* Wed May 16 2007 sbrabec@suse.cz
- Build correctly in older products.
* Sun Apr 22 2007 aj@suse.de
- Cleanup BuildRequires.
* Thu Apr 19 2007 schwab@suse.de
- Fix quoting in autoconf macros.
* Fri Mar 30 2007 aj@suse.de
- Add bison to build requires.
* Tue Mar 27 2007 sbrabec@suse.cz
- Updated to version 0.10.12:
  * API additions
  * Add a warning for improper GLib threading
  * Add support for binary registry serialisation
  * Preliminary support for pull-mode scheduling of entire chains
  * Add support for HPPA
  * Collectpads fixes
  * Lots of bug fixes
- Require check-devel.
* Tue Feb 13 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Mon Dec 18 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Nov 28 2006 sbrabec@suse.cz
- Build correctly in older products.
* Tue Nov  7 2006 abockover@suse.de
- Updated to version 0.10.10:
  * Scores of bug fixes
  * Better non-linear editing
  * Removed GLib 2.6 compatibility
  * Performance improvements on CPUs that support branch hints
  * __gst_debug_min symbol is properly externed
  * Can compile against GStreamer headers in pedantic mode
* Mon Jul 17 2006 danw@suse.de
- Rewrite XXXes to tmp file name before calling mkstemp a second
  time. Fixes the "gst-inspect doesn't work the first time" build bug.
* Fri Jun 16 2006 sbrabec@suse.cz
- Updated to version 0.10.8:
  * Many bug fixes
  * More API additions
  * Fixes for the collectpads helper
  * Support for proper time recording on server-trickmode streams
    via the applied_rate parameter of the NewSegment event
  * QoS in BaseTransform
  * BaseTransform reworked
  * Bus reworked; signal API added
  * Registry cache updating is now done in a fork, so no plugins
    are left opened
  * New version of data protocol now serializes events
* Thu May 25 2006 sbrabec@suse.cz
- Fixed uninitialized variable (#176290).
* Fri Mar 10 2006 jpr@suse.de
-update to version 0.10.4
-Changes since 0.10.3:
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * 33%% of library size removed by parse change
  * (Experimental) QoS features (use max-lateness on BaseSink subclasses to enable)
  Bugs fixed since 0.10.3:
  * 323542 : GStreamer 0.10 hangs at EOS for all songs
  * 320340 : triggering a gst_task_join from the streaming task can de...
  * 322628 : document thread-unsafety of gst_value_foo() + gst_value_r...
  * 324186 : Smarter (deterministic!) typefind decisions
  * 324398 : varargs/valist functions aren't bindable
  * 328873 : only one gst_bin_recalc_state allowed at a time
  * 330899 : CVS directory in make dist tarball
  * 330906 : API: add GST_QUERY_TYPE_NAME and GST_MESSAGE_TYPE_NAME
  * 330996 : basesrc emits EOS unconditionally when going to READY
  * 331255 : Shrinking gst_parse_launch bloat
  * 331898 : Basetranform is not reusable
  * 332045 : API: GstPipeline needs API to disable  flushing of its bu...
  * 332277 : [filesrc] seek does not correct read position in non-mmap...
  * 332611 : [basesrc] needs way to prevent expensive start/stop in ch...
  * 332723 : New API: gst_type_find_helper_for_buffer
  * 333042 : New API: gst_type_find_helper_get_range
  * 333266 : Registry file writing rewrite
  * 333272 : tests should set G_SLICE=always-malloc now
  * 333417 : GST_BOILERPLATE_WITH_INTERFACE can't be used in C++ code
  * 333669 : Add pad accessor defines for GstBaseTransform
  * 333779 : New API: add gst_uri_has_protocol
  * 324818 : gst_registry_get_default doesn't sink newly created registry
  * 330125 : _pad_send_event does not check flushing correctly
  * 330684 : Add ability to emit sync-message without messing with the...
* Thu Feb 23 2006 jpr@suse.de
- update version to 0.10.3
- Changes since 0.10.2:
  * Documentation updates
  * Bug fixes
  * Base class improvements
  * Extra utility API
  * More elements ported from 0.8
  * Fixes for win32 build.
* Tue Feb 14 2006 sbrabec@suse.cz
- Do not package never generated registry.xml in /var (#149984).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 sbrabec@suse.cz
- Updated to version 0.10.2.
* Tue Jan  3 2006 sbrabec@suse.cz
- Removed unneeded build requirements.
* Tue Jan  3 2006 sbrabec@suse.cz
- Updated to version 0.10.1.
* Tue Dec 13 2005 sbrabec@suse.cz
- Branched gstreamer010 and updated to version 0.10.0.
* Mon Nov 14 2005 sbrabec@suse.cz
- Fixed %%postun error on uninstallation.
* Fri Nov  4 2005 sbrabec@suse.cz
- Call branch-dependent gst-register (#132197).
* Mon Sep  5 2005 sbrabec@suse.cz
- Updated to version 0.8.11.
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements (#72282).
* Thu May 26 2005 sbrabec@suse.cz
- Updated to version 0.8.10.
- Build all documentation.
- Split doc subpackage.
* Wed Mar 16 2005 sbrabec@suse.cz
- Build as user, copying xml.dcl is no more needed.
* Fri Feb 11 2005 gekker@suse.de
- Update to version 0.8.9
* Sat Jan 22 2005 ro@suse.de
- make docu build
* Mon Jan  3 2005 gekker@suse.de
- Update to version 0.8.8
* Tue Dec 21 2004 gekker@suse.de
- Update to version 0.8.7
* Mon Oct 11 2004 sbrabec@suse.cz
- Call gst-register properly (#46870).
* Tue Jun 22 2004 clahey@suse.de
- Fixed gst-register call to be in the right prefix.
* Fri Jun 11 2004 clahey@suse.de
- Don't use --gst-mask argument to gst-register.
* Wed Apr 28 2004 sbrabec@suse.cz
- Updated to version 0.8.1 (GNOME 2.6).
* Sun Mar 28 2004 ro@suse.de
- remove ghostscript-fonts-std from neededforbuild
  use plain ghostscript-mini to build
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Fri Feb 13 2004 sbrabec@suse.cz
- Updated to version 0.6.5.
- Build and install docs.
* Sat Jan 10 2004 adrian@suse.de
- use %%run_ldconfig
* Tue Nov  4 2003 ro@suse.de
- build with "-D_GNU_SOURCE" (for posix_memalign)
* Wed Oct 22 2003 sbrabec@suse.cz
- Updated to version 0.6.4.
* Thu Oct 16 2003 schwab@suse.de
- Add atomic ops for ia64.
- Fix warning.
* Wed Oct  8 2003 sbrabec@suse.cz
- Updated to version 0.6.3.
* Thu Sep 18 2003 sbrabec@suse.cz
- Call ldconfig before gst-register in %%post (bug #30675).
* Tue Sep 16 2003 sbrabec@suse.cz
- Call gst-register after installation.
- Added /var items to filelist.
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 27 2003 sbrabec@suse.cz
- Updated to version 0.6.2.
- Fixed %%files.
- Fixed directory packaging.
* Tue May 27 2003 ro@suse.de
- remove unpackaged files from buildroot
* Wed Feb  5 2003 meissner@suse.de
- ppc64 is basically ppc, the assembler stub needed is the same.
* Tue Feb  4 2003 sbrabec@suse.cz
- Updated to version 0.6.0.
* Thu Jan 23 2003 sbrabec@suse.cz
- Updated to version 0.5.2.
- FHS fix (localstatedir).
* Fri Jan 17 2003 sbrabec@suse.cz
- Updated to version 0.5.1 (Gnome2).
* Wed Nov 20 2002 ro@suse.de
- fix duplicates in configure.in
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <jade_dsl> to <openjade>
* Fri Sep  6 2002 olh@suse.de
- fix build without atomic.h
* Thu Aug 22 2002 hhetter@suse.de
- added a README file and removed the SuSEconfig-script
  ( Bug Id#17620)
* Tue Aug 20 2002 hhetter@suse.de
- use Requires: %%{name} = %%{version} in devel package
- added PreReq: filesystem
* Thu Aug 15 2002 ro@suse.de
- removed gnome-utils from neededforbuild
* Sat Jul 27 2002 adrian@suse.de
- add %%run_ldconfig
* Fri Jul 26 2002 adrian@suse.de
- fix neededforbuld
* Thu Jul  4 2002 ro@suse.de
- neededforbuild quicktime4linux -> libquicktime
* Tue May 21 2002 meissner@suse.de
- %%_lib fixes, various libtool/autoconf/etc. patches.
- started port to x86_64
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 22 2002 ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Fri Nov 30 2001 ro@suse.de
- changed neededforbuild <docbktls> to <docbook-toys>
* Wed Nov 28 2001 ro@suse.de
- removed libmpeg2 from neededforbuild
* Mon Nov 19 2001 ro@suse.de
- added new gnome-vfs include path to CFLAGS
- added popt, gconf and oaf to neededforbuild
* Sat Sep  8 2001 egger@suse.de
- Removed LAME due to legal reasons.
* Mon Aug 20 2001 ro@suse.de
- added diffs from cvs to build with current lame and current alsa
* Mon Aug 20 2001 ro@suse.de
- up to 0.2.1 to try to fix compilation
- added kdelibs-artsd to neededforbuild
* Wed Aug  8 2001 ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Fri Jul 20 2001 kukuk@suse.de
- changed neededforbuild <gs_lib> to <ghostscript-library>
* Wed Jun 27 2001 hhetter@suse.de
- improved documentation support, enabled gtkdoc & docbkutils
* Tue Jun 26 2001 hhetter@suse.de
- added SuSEconfig.gstreamer script
- enabled sdl, libvorbis, ogg, gnome, alsa,
  cdparanoia, aalib and mpeg2 modules
- functionality test in chrooted environment
* Mon Jun 18 2001 hhetter@suse.de
- fixed typo in specfile
* Fri Jun 15 2001 hhetter@suse.de
- update to 0.2.0
- specfile & filelist rework
* Thu Mar 15 2001 hhetter@suse.de
- initial SuSE Package
